CADxp: Liaisons de données - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Liaisons de données récupérer info dans des texte ou attribut

#1 L'utilisateur est hors-ligne   SuperNoob 

  • ceinture jaune
  • Groupe : Membres
  • Messages : 6
  • Inscrit(e) : 18-juin 19

Posté 18 juin 2019 - 12:44

Bonjour à tous, J'ai besoins d'aide sur les liaisons de données, j'utilise autocad map 3d 2014 avec covadis. Je n'ai aucune formation (autodidacte). J'arrive à faire les connections, et a créer un tableau mais pas récupérer les infos des cellules pour les inserts dans un cartouches. mes fichiers
Merci d'avance

0

#2 L'utilisateur est hors-ligne   Aleck Ultimate 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 973
  • Inscrit(e) : 18-novembre 16
  • LocationAlpes de Hautes Provences (04)

Posté 18 juin 2019 - 13:03

Salut, et bienvenue, par Minou !

Ce LISP pourrait il faire l'affaire ? Mon lien

Si besoin, pour charger et utiliser un LISP : Mon lien

Cordialy.
En DAO, la passion me porte ! Le plus important n'est pas l'objectif mais le chemin parcouru pour l'atteindre.
C'est pourquoi il faut continuer à courir après les utopies même quand on se rend compte qu'elles sont inatteignables.

Utilisateur d'AutoCAD 2018 sous Windows 10
0

#3 L'utilisateur est hors-ligne   SuperNoob 

  • ceinture jaune
  • Groupe : Membres
  • Messages : 6
  • Inscrit(e) : 18-juin 19

Posté 18 juin 2019 - 14:04

Merci beaucoup je vais tester ça Image IPB
0

#4 L'utilisateur est hors-ligne   SuperNoob 

  • ceinture jaune
  • Groupe : Membres
  • Messages : 6
  • Inscrit(e) : 18-juin 19

Posté 19 juin 2019 - 11:36

re bonjour,
Alors tout d'abord merci, bon j'ai réussi à faire fonctionner le Lisp, par contre j'y comprends rien au codage Image IPB pour le modifier, car j'ai besoin de choisir une ligne spécifique du fichier xls . est-ce qu'il existe un commande(simple si possible) un récupéré les données des "Liaisons de données". (P.S:je ne peux pas modifier le fichiers excel car il est utilisé aussi par le secrétariat et la compta.)

0

#5 L'utilisateur est hors-ligne   Aleck Ultimate 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 973
  • Inscrit(e) : 18-novembre 16
  • LocationAlpes de Hautes Provences (04)

Posté 21 juin 2019 - 12:17

Re.

Je te conseillerait de riposter ta question dans le forum LISP. Il y aura une meilleur visibilité pour ceux qui seront en mesure de la modifier.

Cordialy.
En DAO, la passion me porte ! Le plus important n'est pas l'objectif mais le chemin parcouru pour l'atteindre.
C'est pourquoi il faut continuer à courir après les utopies même quand on se rend compte qu'elles sont inatteignables.

Utilisateur d'AutoCAD 2018 sous Windows 10
0

#6 L'utilisateur est hors-ligne   bonuscad 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 4669
  • Inscrit(e) : 20-juin 03

Posté 24 juin 2019 - 16:20

Avec ton fichier exemple, ceci pourrait être fait.
MAIS ce n'est pas une bonne méthode, il vaudrait mieux passer par des attributs ayant des étiquettes pour faire ce que je te propose en exemple
Que des textes simples ne seront pas gérable pour effectuer des mise à jours!

Donc juste pour montrer que c'est faisable, copie-colle le code directement en ligne de commande dans ton dessin exemple que tu as joins.
Refléchis aux attributs je te le conseille, ou alors (puisque tu as map) aux données d'objet.
((lambda ( / )
	(setq ent (ssname (ssget "_X" '((0 . "ACAD_TABLE") (8 . "0"))) 0))
	(setq l-read (mapcar 'cdr (vl-remove-if '(lambda (x) (/= (car x) 1)) (entget ent))))
	(setq js (ssget "_X" '((0 . "TEXT") (8 . "0"))))
	(setq
		AcDoc (vla-get-ActiveDocument (vlax-get-acad-object))
		Space
		(if (= 1 (getvar "CVPORT"))
			(vla-get-PaperSpace AcDoc)
			(vla-get-ModelSpace AcDoc)
		)
	)
	(repeat (setq n (sslength js))
		(setq dxf_ent (entget (setq txt (ssname js (setq n (1- n))))))
		(cond
			((eq (cdr (assoc 1 dxf_ent)) "numero") (setq value (car l-read)))
			((eq (cdr (assoc 1 dxf_ent)) "nom") (setq value (cadr l-read)))
			((eq (cdr (assoc 1 dxf_ent)) "prenom") (setq value (caddr l-read)))
			((eq (cdr (assoc 1 dxf_ent)) "adresse") (setq value (cadddr l-read)))
			((eq (cdr (assoc 1 dxf_ent)) "code postale") (setq value (car (cddddr l-read))))
			((eq (cdr (assoc 1 dxf_ent)) "ville") (setq value (cadr (cddddr l-read))))
			((eq (cdr (assoc 1 dxf_ent)) "societe") (setq value (caddr (cddddr l-read))))
			(T (setq value nil))
		)
		(cond
			(value
				(entdel txt)
				(setq nw_obj
					(vla-addMtext Space
						(vlax-3d-point (cdr (assoc 10 dxf_ent)))
						0.0
						value
					)
				)
			)
		)
	)
))


Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius
0

#7 L'utilisateur est hors-ligne   SuperNoob 

  • ceinture jaune
  • Groupe : Membres
  • Messages : 6
  • Inscrit(e) : 18-juin 19

Posté 26 juin 2019 - 17:50

Merci, je teste ça demain. Les attributs (je connais un peu) bonne idée, les données d'objets faut que je m'y mette (je vais regarder les tutoriels et les formations) car cela à l'air puissant.
0

#8 L'utilisateur est hors-ligne   SuperNoob 

  • ceinture jaune
  • Groupe : Membres
  • Messages : 6
  • Inscrit(e) : 18-juin 19

Posté 27 juin 2019 - 12:37

Merci ça fonction nikel .
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)